package slurmer

import (
	pbslurm "code.gitlink.org.cn/JCCE/PCM.git/adaptor/pcm_slurm/gen/idl"
	"code.gitlink.org.cn/JCCE/PCM.git/adaptor/pcm_slurm/service/tianhe"
	"context"
)

func (slurmStruct SlurmStruct) GetDiag(ctx context.Context, req *pbslurm.DiagReq) (*pbslurm.DiagResp, error) {
	stats := tianhe.Get_diag()

	var resp = pbslurm.DiagResp{}
	resp.StatsInfoResponseMsg = &stats

	return &resp, nil
}
