package slurmer

import (
	pbslurm "code.gitlink.org.cn/JCCE/PCM.git/adaptor/pcm_slurm/gen/idl"
	"code.gitlink.org.cn/JCCE/PCM.git/adaptor/pcm_slurm/service/tianhe"
	"context"
)

func (slurmStruct SlurmStruct) ListDbJobs(ctx context.Context, req *pbslurm.ListDbJobsReq) (*pbslurm.ListDbJobsResp, error) {

	resp := tianhe.GetAllSlurmdbJobs()
	return &resp, nil
}

func (slurmStruct SlurmStruct) GetDbJob(ctx context.Context, req *pbslurm.GetDbJobReq) (*pbslurm.GetDbJobResp, error) {
	slurmDbJob := tianhe.GetSlurmdbJobById(int(req.JobId))
	var resp = pbslurm.GetDbJobResp{}
	resp.JobInfoDb = slurmDbJob

	return &resp, nil
}
