package tianhe

/*
#cgo LDFLAGS: -lslurm
#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include<slurm/slurm.h>
#include <slurm/slurmdb.h>
#include<slurm/slurm_errno.h>

inline uint8_t uint8_ptr(uint8_t* pointer) {
    if (NULL == pointer) {
    return -1;}
    return *pointer;
}
inline int8_t int8_ptr(int8_t* pointer) {
    if (NULL == pointer) {
    return -1;}
    return *pointer;
}
inline uint16_t uint16_ptr(uint16_t* pointer) {
    if (NULL == pointer) {
    return -1;}
    return *pointer;
}
inline int16_t int16_ptr(int16_t* pointer) {
    if (NULL == pointer) {
    return -1;}
    return *pointer;
}
inline uint32_t uint32_ptr(uint32_t* pointer) {
    if (NULL == pointer) {
    return -1;}
    return *pointer;
}
inline int32_t int32_ptr(int32_t* pointer) {
    if (NULL == pointer) {
    return -1;}
    return *pointer;
}
inline uint64_t uint64_ptr(uint64_t* pointer) {
    if (NULL == pointer) {
    return -1;}
    return *pointer;
}
inline int64_t int64_ptr(int16_t* pointer) {
    if (NULL == pointer) {
    return -1;}
    return *pointer;
}
*/
import "C"
import pbslurm "code.gitlink.org.cn/JCCE/PCM.git/adaptor/pcm_slurm/gen/idl"

func JobInfoConvertCToGo(cStruct *C.struct_job_info) pbslurm.JobInfoGet {
	var goStruct pbslurm.JobInfoGet

	goStruct.Account = C.GoString(cStruct.account)
	goStruct.AllocNode = C.GoString(cStruct.alloc_node)
	goStruct.AllocSid = uint32(cStruct.alloc_sid)
	goStruct.ArrayJobId = uint32(cStruct.array_job_id)
	goStruct.ArrayTaskId = uint32(cStruct.array_task_id)
	goStruct.AssocId = uint32(cStruct.assoc_id)
	goStruct.BatchFlag = uint32(cStruct.batch_flag)
	goStruct.BatchHost = C.GoString(cStruct.batch_host)
	goStruct.BoardsPerNode = uint32(cStruct.boards_per_node)
	goStruct.BatchScript = C.GoString(cStruct.batch_script)
	goStruct.Command = C.GoString(cStruct.command)
	goStruct.Comment = C.GoString(cStruct.comment)
	goStruct.Contiguous = uint32(cStruct.contiguous)
	goStruct.CoresPerSocket = uint32(cStruct.cores_per_socket)
	goStruct.CpusPerTask = uint32(cStruct.cpus_per_task)
	goStruct.Dependency = C.GoString(cStruct.dependency)
	goStruct.DerivedEc = uint32(cStruct.derived_ec)
	goStruct.EligibleTime = int64(cStruct.eligible_time)
	goStruct.EndTime = int64(cStruct.end_time)
	goStruct.ExcNodes = C.GoString(cStruct.exc_nodes)
	goStruct.ExcNodeInx = int32(C.int32_ptr(cStruct.exc_node_inx))
	goStruct.ExitCode = uint32(cStruct.exit_code)
	goStruct.Features = C.GoString(cStruct.features)
	goStruct.GroupId = uint32(cStruct.group_id)
	goStruct.Gres = C.GoString(cStruct.gres)
	goStruct.JobId = uint32(cStruct.job_id)
	goStruct.JobState = uint32(cStruct.job_state)
	goStruct.Licenses = C.GoString(cStruct.licenses)
	goStruct.MaxCpus = uint32(cStruct.max_cpus)
	goStruct.MaxNodes = uint32(cStruct.max_nodes)
	goStruct.Name = C.GoString(cStruct.name)
	goStruct.Network = C.GoString(cStruct.network)
	goStruct.Nodes = C.GoString(cStruct.nodes)
	goStruct.Nice = uint32(cStruct.nice)
	goStruct.NodeInx = int32(C.int32_ptr(cStruct.node_inx))
	goStruct.NtasksPerCore = uint32(cStruct.ntasks_per_core)
	goStruct.NtasksPerNode = uint32(cStruct.ntasks_per_node)
	goStruct.NtasksPerSocket = uint32(cStruct.ntasks_per_socket)
	goStruct.NtasksPerBoard = uint32(cStruct.ntasks_per_board)
	goStruct.NumCpus = uint32(cStruct.num_cpus)
	goStruct.NumNodes = uint32(cStruct.num_nodes)
	goStruct.Partition = C.GoString(cStruct.partition)
	goStruct.PnMinMemory = uint32(cStruct.pn_min_memory)
	goStruct.PnMinCpus = uint32(cStruct.pn_min_cpus)
	goStruct.PnMinTmpDisk = uint32(cStruct.pn_min_tmp_disk)
	goStruct.PreemptTime = int64(cStruct.preempt_time)
	goStruct.PreSusTime = int64(cStruct.pre_sus_time)
	goStruct.Priority = uint32(cStruct.priority)
	goStruct.Profile = uint32(cStruct.profile)
	goStruct.Qos = C.GoString(cStruct.qos)
	goStruct.ReqNodes = C.GoString(cStruct.req_nodes)
	goStruct.ReqNodeInx = int32(C.int32_ptr(cStruct.req_node_inx))
	goStruct.ReqSwitch = uint32(cStruct.req_switch)
	goStruct.Requeue = uint32(cStruct.requeue)
	goStruct.ResizeTime = int64(cStruct.resize_time)
	goStruct.RestartCnt = uint32(cStruct.restart_cnt)
	goStruct.ResvName = C.GoString(cStruct.resv_name)
	goStruct.Shared = uint32(cStruct.shared)
	goStruct.ShowFlags = uint32(cStruct.show_flags)
	goStruct.SocketsPerBoard = uint32(cStruct.sockets_per_board)
	goStruct.SocketsPerNode = uint32(cStruct.sockets_per_node)
	goStruct.StartTime = int64(cStruct.start_time)
	goStruct.StateDesc = C.GoString(cStruct.state_desc)
	goStruct.StateReason = uint32(cStruct.state_reason)
	goStruct.SubmitTime = int64(cStruct.submit_time)
	goStruct.SuspendTime = int64(cStruct.suspend_time)
	goStruct.TimeLimit = uint32(cStruct.time_limit)
	goStruct.TimeMin = uint32(cStruct.time_min)
	goStruct.ThreadsPerCore = uint32(cStruct.threads_per_core)
	goStruct.UserId = uint32(cStruct.user_id)
	goStruct.Wait4Switch = uint32(cStruct.wait4switch)
	goStruct.Wckey = C.GoString(cStruct.wckey)
	goStruct.WorkDir = C.GoString(cStruct.work_dir)

	return goStruct
}

func SlurmdbJobConvertCToGo(cStructJob *C.slurmdb_job_rec_t) pbslurm.JobInfoDbGet {
	var goStruct pbslurm.JobInfoDbGet

	goStruct.Account = C.GoString(cStructJob.account)
	goStruct.Associd = uint32(cStructJob.associd)
	goStruct.AllocCpu = uint32(cStructJob.alloc_cpus)
	goStruct.AllocNodes = uint32(cStructJob.alloc_nodes)
	goStruct.Blockid = C.GoString(cStructJob.blockid)
	goStruct.Cluster = C.GoString(cStructJob.cluster)
	goStruct.DerivedEs = C.GoString(cStructJob.derived_es)
	goStruct.DerivedEc = uint32(cStructJob.derived_ec)
	goStruct.End = int64(cStructJob.end)
	goStruct.Elapsed = uint32(cStructJob.elapsed)
	goStruct.Eligible = int64(cStructJob.eligible)
	goStruct.Exitcode = uint32(cStructJob.exitcode)
	goStruct.Gid = uint32(cStructJob.gid)
	goStruct.Jobid = uint32(cStructJob.jobid)
	goStruct.Jobname = C.GoString(cStructJob.jobname)
	goStruct.Lft = uint32(cStructJob.lft)
	goStruct.Nodes = C.GoString(cStructJob.nodes)
	goStruct.Priority = uint32(cStructJob.priority)
	goStruct.Partition = C.GoString(cStructJob.partition)
	goStruct.Qosid = uint32(cStructJob.qosid)
	goStruct.Resvid = uint32(cStructJob.resvid)
	goStruct.Requid = uint32(cStructJob.requid)
	goStruct.ReqCpus = uint32(cStructJob.req_cpus)
	goStruct.ReqMem = uint32(cStructJob.req_mem)
	goStruct.Start = int64(cStructJob.start)
	goStruct.State = uint32(cStructJob.state)
	goStruct.SysCpuUsec = uint32(cStructJob.sys_cpu_usec)
	goStruct.SysCpuSec = uint32(cStructJob.sys_cpu_sec)
	goStruct.Submit = int64(cStructJob.submit)
	goStruct.Suspended = uint32(cStructJob.suspended)
	goStruct.ShowFull = uint32(cStructJob.show_full)

	//var stats_adrs []*pbslurm.SlurmdbStatsT
	//var stats pbslurm.SlurmdbStatsT
	//stat.ActCpufreq = float64(c_struct_job.stats.act_cpufreq)
	//stats.CpuMin = uint32((c_struct_job.stats).cpu_min)
	//stat.CpuAve = float64(c_struct_job.stats.cpu_ave)
	//stats_adrs = append(stats_adrs, &stats)
	//go_struct.Stats = stats

	return goStruct
}
